petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCApplyBAorAB

Applies the preconditioner and operator to a vector. y = B*A*x or y = A*B*x.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplyBAorAB(PC pc,PCSide side,Vec x,Vec y,Vec work)

Collective on PC and Vec Many br

### Input Parameters

| pc | - the preconditioner context Many br
| side | - indicates the preconditioner side, one of PC_LEFT, PC_RIGHT, or PC_SYMMETRIC Many br
| x | - input vector Many br
| work | - work vector Many br

### Output Parameter

y -output vector Many br

Many br

Notes: If the PC has had PCSetDiagonalScale() set then D M A D^{-1} for left preconditioning or D A M D^{-1} is actually applied. Note that the Many brspecific KSPSolve() method must also be written to handle the post-solve "correction" for the diagonal scaling. Many br

### Keywords

PC, apply, operator

### See Also

PCApply(), PCApplyTranspose(), PCApplyBAorABTranspose()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages